Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/control/v1/teams/me/members" \ -H "Content-Type: application/json" \ -d '{ "email": "string" }'{
"user_id": "string",
"email": "string",
"role": "string",
"is_active": true,
"created_at": "2019-08-24T14:15:22Z"
}{
"status_code": 400,
"detail": "Bad Request",
"extra": {}
}Response Body
application/json
curl -X GET "https://example.com/control/v1/teams/me"{
"id": "string",
"name": "string",
"email_domain": "string",
"role": "string",
"zero_data_retention_enabled": false,
"members": [
{
"user_id": "string",
"email": "string",
"role": "string",
"is_active": true,
"created_at": "2019-08-24T14:15:22Z"
}
]
}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/control/v1/teams/me" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"name": "string",
"email_domain": "string",
"role": "string",
"zero_data_retention_enabled": false,
"members": [
{
"user_id": "string",
"email": "string",
"role": "string",
"is_active": true,
"created_at": "2019-08-24T14:15:22Z"
}
]
}{
"status_code": 400,
"detail": "Bad Request",
"extra": {}
}Path Parameters
user_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/control/v1/teams/me/members/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "role": "admin" }'{
"user_id": "string",
"email": "string",
"role": "string",
"is_active": true,
"created_at": "2019-08-24T14:15:22Z"
}{
"status_code": 400,
"detail": "Bad Request",
"extra": {}
}curl -X DELETE "https://example.com/control/v1/teams/me/members/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"status_code": 400,
"detail": "Bad Request",
"extra": {}
}